# Write a program that will write a bomb countdown and then "BOOM!" Given a number to start


num = int(input("Pick a number! "))

# SOLUTION 1:

for i in range(num,0,-1):
    print(i)
print("BOOM")

# SOLUTION 2:

for i in range(num):
    print(num-i)
print("BOOM")

# SOLUTION 3:

while num !=0:
    print(num)
    num -= 1
print("BOOM")

# SOLUTION 4:

while True:
    print(num)
    num -=1
    if num == 0:
        break
print("BOOM")

# SOLUTION 5:

for i in range(num+1)[::-1]:
    if i == 0:
        print("BOOM")
    else:
        print(i)


